ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.HsToCore.Errors.Ppr

Contents

- Orphan instances

# Documentation

badMonadBind :: Type -> SDoc Source #

pprEqn :: HsMatchContextRn -> SDoc -> String -> SDoc Source #

pprContext :: Bool -> HsMatchContextRn -> SDoc -> ((SDoc -> SDoc) -> SDoc) -> SDoc Source #

dots :: Int -> [a] -> SDoc Source #

# Orphan instances

Diagnostic DsMessage Source # |

Instance details

Associated Types

type DiagnosticOpts DsMessage |
Instance details Defined in GHC.HsToCore.Errors.Ppr type DiagnosticOpts DsMessage = NoDiagnosticOpts

Methods

diagnosticMessage :: DiagnosticOpts DsMessage -> DsMessage -> DecoratedSDoc Source #

diagnosticReason :: DsMessage -> DiagnosticReason Source #

diagnosticHints :: DsMessage -> [GhcHint] Source #

diagnosticCode :: DsMessage -> Maybe DiagnosticCode Source #